import mlflow

experiment_id_alpha = mlflow.create_experiment("Sklearn-elasticnet-wine-alpha")
experiment_id_l1 = mlflow.create_experiment("Sklearn-elasticnet-wine-l1")

alpha_list = [0.2, 0.4, 0.6, 0.8, 1.0]
l1_ratio_list = [0.01, 0.05, 0.1, 0.15, 0.2]

for alpha in alpha_list:
    mlflow.projects.run(
        uri='sklearn_elasticnet_wine',
        experiment_id=experiment_id_alpha,
        synchronous=False,
        parameters={
            'alpha': alpha, 
            'l1_ratio': 0.1
        })

for l1_ratio in l1_ratio_list:
    mlflow.projects.run(
        uri='sklearn_elasticnet_wine',
        experiment_id=experiment_id_l1,
        synchronous=False,
        parameters={
            'alpha': 0.5, 
            'l1_ratio': l1_ratio
        })
        